
%global meadversion 2.0.5
%global namedversion 2.0.5.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-remote-naming}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.5.Final-redhat-1

Name:           %{?scl_prefix}jboss-remote-naming
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Remote Naming
Group:          Development/Java

%if %with mead
Source100: jboss-remote-naming-2.0.5.Final-redhat-1-scm-sources.zip
Source102: jboss-remote-naming-2.0.5.Final-redhat-1.pom
Source103: jboss-remote-naming-2.0.5.Final-redhat-1-sources.jar
Source104: jboss-remote-naming-2.0.5.Final-redhat-1-project-sources.tar.gz
Source105: jboss-remote-naming-2.0.5.Final-redhat-1.jar
Source106: jboss-remote-naming-2.0.5.Final-redhat-1-javadoc.jar
%endif

License:        LGPLv2+
URL:            https://github.com/jbossas/jboss-remote-naming.git
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-remote-naming-%{namedversion}-%{release}-root

%description
Library for remote naming (JNDI) with JBoss AS.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-remoe-naming
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-remote-naming -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-remote-naming-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-remote-naming-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-remote-naming-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-remote-naming-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-remote-naming-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-remote-naming-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-remote-naming-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-remote-naming-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-remote-naming-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-remote-naming-%{namedversion} %{buildroot}%{_javadocdir}/jboss-remote-naming
%endif

%clean
%{__rm} -rf %{buildroot}


%files -n %{?scl_prefix}jboss-remote-naming
%defattr(0644,root,root,0755)
%doc README
%{_javadir}/jboss-remote-naming-%{namedversion}.jar
%{_javadir}/jboss-remote-naming.jar
%if %with javadoc
%{_javadir}/jboss-remote-naming-%{namedversion}-javadoc.jar
%{_javadir}/jboss-remote-naming-javadoc.jar
%endif
%{_javadir}/jboss-remote-naming-%{namedversion}-sources.jar
%{_javadir}/jboss-remote-naming-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-remote-naming-%{namedversion}
%{_javadocdir}/jboss-remote-naming
%endif

%changelog
* Tue Aug 22 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.0.5-1.Final_redhat_1.1
- Upgrade to 2.0.5.Final

* Sun Jul 05 2015 Hui Wang <huwang@redhat.com> - 2.0.4-1.Final_redhat_1.1
- Upgrade to 2.0.4.Final-redhat-1

* Wed Apr 22 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.11-1.Final_redhat_1.1
- Upgrade to 1.0.11.Final

* Fri Nov 21 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.10-1.Final_redhat_1.1
- Upgrade to 1.0.10.Final

* Mon Aug 25 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.9-1.Final_redhat_1.1
- Upgrade to 1.0.9.Final

* Thu Feb 13 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.8-1.Final_redhat_1.1
- Upgrade to 1.0.8.Final

* Fri Jul 12 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.7-1.Final_redhat_1
- Upgrade to 1.0.7.Final

* Fri Apr 26 2013 Paul Gier <pgier@redhat.com> - 0:1.0.6-2.Final_redhat_2
- Minor pom patch update for eap 6.1.0 GA

* Wed Apr 10 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.6-1.Final_redhat_1
- Upgrade to 1.0.6.Final

* Sat Feb 16 2013 Lin Gao <lgao@redhat.com> - 0:1.0.5-1.Final_redhat_1
- Upgrade to 1.0.5.Final
- Fix JPP errors
- Add javadoc subpackage

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.4-2.Final_redhat_1.1
- Rebuild for MD5

* Mon Aug 27 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.4-1.Final_redhat_1.1
- Upgrade to 1.0.4.Final

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_2.6
- Rebuild unsigned

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_2.5
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.4
- Rebuild using cache signing

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.3
- Rebuild using cache signing

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.3-1.Final_redhat_1.1
- Rebuild using cache signing

* Fri May 04 2012 Vaclav Tunka <vtunka@redhat.com> - 0:1.0.3-1.Final_redhat_1
- Upgrade to 1.0.3.Final-redhat-1

* Tue Mar 27 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1.Final_redhat_1.1
- Upgrade to 1.0.2.Final-redhat-1

* Thu Feb 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-1.Final.3
- Rebuild to fix symlinks

* Thu Feb 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-1.Final.2
- Remove R: jboss-logging-tools
- Upgrade to new wrapper

* Thu Feb 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-1.Final.1
- First build
